Page MenuHomePhabricator

Prepare and check storage layer for nap.wikisource
Closed, ResolvedPublic

Description

New Wikisource, public wiki.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2018, 6:34 PM
jcrespo added a subscriber: jcrespo.

Waiting now for the actual creation at T210752 to setup the replication, as no preventive action is needed due to it being public.

Banyek claimed this task.Nov 30 2018, 11:18 AM
Banyek triaged this task as Normal priority.
Banyek added a project: User-Banyek.
Banyek added a subscriber: Banyek.

When the wiki is created please ping me and I'll do the sanitization

Banyek moved this task from Backlog to Wait on external on the User-Banyek board.Nov 30 2018, 1:04 PM
Marostegui removed Banyek as the assignee of this task.Jan 11 2019, 8:37 PM
Marostegui added a subscriber: Marostegui.

Once this is done, let us (DBAs) know and will sanitize it
Thanks!

Reedy added a subscriber: Reedy.Aug 14 2019, 2:10 PM

It's created

Thanks - I will take care of this next week.
Assigning this to me so it is known it is blocked on me before creating the views on the wikireplicas.

Mentioned in SAL (#wikimedia-operations) [2019-08-19T07:40:32Z] <marostegui> Redact napwikisource on db1124 and db2094 - T210762

I have sanitized this on db1124 and db2094. I have checked that the new users are being sanitized correctly on the sanitarium and labs hosts.
However, just to be 100% I am running a check_private_data on sanitarium (already successfully finished) and on labsdb1009, labsdb1010 (1011 is still running from the scheduled run) and labsdb1012 just to be fully sure that there is no private data.

Marostegui removed Marostegui as the assignee of this task.Aug 19 2019, 12:34 PM
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui edited projects, added Data-Services; removed User-Banyek, Cloud-Services.
Marostegui added subscribers: bd808, Bstorm, JHedden.

All the check data came up clean after the sanitization.
This is ready for cloud-services-team to create the views on the labsdb1009-1012 hosts.

Bstorm claimed this task.Mon, Aug 26, 5:34 PM
Bstorm added a comment.EditedMon, Aug 26, 5:50 PM

Created the "_p" database and the grant on the replicas, running scripts now to get it all set.

Bstorm closed this task as Resolved.Mon, Aug 26, 5:58 PM

Scripts finished. Validated the the views are reachable in Toolforge.